> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rogeriq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get widget configuration for the project

` GET /projects/{projectId}/widget/config `

Get widget configuration for the project

## Servers

- ` https://api.rogeriq.com/api/v1 `

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` apiKey `: ` apiKey `

  - Credential: ` X-API-Key ` in ` header `

  - API key with `riq_` prefix

## Parameters

### ` projectId ` (path, required)

- ` value `: type ` string `

## Responses

### ` 200 ` — Widget config

Content type: ` application/json `

- ` value `: type ` object `

  - ` data `: type ` object `

    - ` project_id `: type ` string `

    - ` enabled `: type ` boolean `

    - ` position `: type ` string `

      - enum: ` ["bottom-right","bottom-left"] `

    - ` color `: type ` string ` — Hex color, e.g. #F26B3A

    - ` welcome_message `: type ` string `

    - ` show_branding `: type ` boolean `

    - ` theme `: type ` string `

      - enum: ` ["light","dark","auto"] `

    - ` locale `: type ` string `

## Request examples

### cURL

```curl
curl -X GET 'https://api.rogeriq.com/api/v1/projects/string/widget/config' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/widget/config', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://api.rogeriq.com/api/v1/projects/string/widget/config', headers=headers)
print(response.json())
```